@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Stalemate&display=swap");
@font-face {
    font-family: "Roboto";
    src: url("../fonts/Roboto/Roboto-VariableFont_wdth\,wght.ttf");
}
:root {
    /* Typography starts here */
    --typography-primary-font-family: "Roboto";
    --typography-primary-font-weight: 600;
    --typography-secondary-font-family: "Roboto Slab";
    --typography-secondary-font-weight: 400;
    --typography-accent-font-weight: 500;
    /* Typography ends here */
}
.primary_font {
    font-family: var(--typography-primary-font-family);
}
.seconday_font {
    font-family: var(--typography-secondary-font-family);
}
.montserrat_font {
    font-family: "Montserrat", serif;
}
.stalemate-regular {
    font-family: "Stalemate", serif;
    font-weight: 400;
    font-style: normal;
}
.fw_light {
    font-weight: 300;
}
.fw_reg {
    font-weight: 400;
}
.fw_med {
    font-weight: 500;
}
.fw_semibold {
    font-weight: 600;
}
.fw_bold {
    font-weight: 700;
}
.fw_exbold {
    font-weight: 800;
}
.level-1 {
    font-size: 50px;
}
.level-2 {
    font-size: 40px;
}
.level-3 {
    font-size: 34px;
}
.level-4 {
    font-size: 25px;
}
.level-5 {
    font-size: 20px;
}
.level-6 {
    font-size: 18px;
}

/* .level-7-lg {
    font-size: 14px;
} */

.level-7 {
    font-size: 14px;
}
.level-8 {
    font-size: 12px;
}
.level-9 {
    font-size: 10px;
}

@media (max-width: 1400px) {
    .level-1 {
        font-size: 45px;
    }
    .level-2 {
        font-size: 37px;
    }
    .level-3 {
        font-size: 32px;
    }
    .level-4 {
        font-size: 22px;
    }
    .level-5 {
        font-size: 19px;
    }
    .level-6 {
        font-size: 16px;
    }

    /* .level-7-lg {
    font-size: 14px;
} */

    .level-7 {
        font-size: 12px;
    }
    .level-8 {
        font-size: 11px;
    }
    .level-9 {
        font-size: 10px;
    }
}

@media (max-width: 1024px) {
    .level-1 {
        font-size: 40px;
    }
    .level-2 {
        font-size: 35px;
    }
    .level-3 {
        font-size: 30px;
    }
    .level-4 {
        font-size: 20px;
    }
    .level-5 {
        font-size: 18px;
    }
    .level-6 {
        font-size: 15px;
    }
    .level-7 {
        font-size: 10px;
    }
}
@media (max-width: 800px) {
    .level-1 {
        font-size: 35px;
    }
    .level-2 {
        font-size: 30px;
    }
    .level-3 {
        font-size: 25px;
    }
    .level-4 {
        font-size: 18px;
    }
    .level-5 {
        font-size: 16px;
    }
    .level-6 {
        font-size: 12px;
    }
    .level-7 {
        font-size: 12px;
    }
}
